---
title: animation-name
slug: Web/CSS/animation-name
tags:
  - CSS
  - CSS Animations
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>animation-name</code></strong> <a href="/en-US/docs/CSS">CSS</a> property specifies the names of one or more {{cssxref("@keyframes")}} at-rules describing the animation or animations to apply to the element.</span></p>

<div>{{EmbedInteractiveExample("pages/css/animation-name.html")}}</div>

<p>It is often convenient to use the shorthand property {{cssxref("animation")}} to set all animation properties at once.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single animation */
animation-name: none;
animation-name: test_05;
animation-name: -specific;
animation-name: sliding-vertically;

/* Multiple animations */
animation-name: test1, animation4;
animation-name: none, -moz-specific, sliding;

/* Global values */
animation-name: <a href="/en-US/docs/Web/CSS/initial">initial</a>
animation-name: <a href="/en-US/docs/Web/CSS/inherit">inherit</a>
animation-name: <a href="/en-US/docs/Web/CSS/unset">unset</a></pre>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>none</code></dt>
	<dd>A special keyword denoting no keyframes. It can be used to deactivate an animation without changing the ordering of the other identifiers, or to deactivate animations coming from the cascade.</dd>
	<dt>{{cssxref("&lt;custom-ident&gt;")}}</dt>
	<dd>A name identifying the animation. This identifier is composed of a combination of case-sensitive letters <code>a</code> to <code>z</code>, numbers <code>0</code> to <code>9</code>, underscores (<code>_</code>), and/or dashes (<code>-</code>). The first non-dash character must be a letter. Also, two dashes are forbidden at the beginning of the identifier. Furthermore, the identifier can't be <code>none</code>, <code>unset</code>, <code>initial</code>, or <code>inherit</code>.</dd>
</dl>

<div class="note">
<p><strong>Note</strong>: When you specify multiple comma-separated values on an <code>animation-*</code> property, they will be assigned to the animations specified in the {{cssxref("animation-name")}} property in different ways depending on how many there are. For more information, see <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations#Setting_multiple_animation_property_values">Setting multiple animation property values</a>.</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="The_animation_has_an_animation-name_of_rotate">The animation has an animation-name of rotate</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="box"&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.box {
  background-color: rebeccapurple;
  border-radius: 10px;
  width: 100px;
  height: 100px;
  animation-name: rotate;
  animation-duration: 0.7s;
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}</pre>

<p>{{EmbedLiveSample("Examples","100%","250")}}</p>

<p>See <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="CSS/CSS_animations">CSS animations</a> for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Animations', '#animation-name', 'animation-name')}}</td>
			<td>{{Spec2('CSS3 Animations')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.animation-name")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="Tutorial about CSS animations">Using CSS animations</a></li>
	<li>JavaScript {{domxref("AnimationEvent")}} API</li>
</ul>
